Bug 597542 - installation of grub using preupgrade not as currently installed
installation of grub using preupgrade not as currently installed
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
13
All Linux
low Severity low
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-29 09:20 EDT by Gary Miller
Modified: 2011-06-27 13:00 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 13:00:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gary Miller 2010-05-29 09:20:42 EDT
Description of problem:
When doing preupgrade on a system with grub installed at the beginning of the partition (for multiple OS style booting) the preupgrade process does not duplicate the current configuration.  The partition table is modified in such a way that the system will not find a boot device.

Did a FC12 - FC13 update.

Version-Release number of selected component (if applicable):


How reproducible:
I would guess that preupdating from FC12 to FC13 on a system with grub installed  at the root of the partition would reproduce the issue.  I fixed it with a rescue boot, chroot /mnt/sysimage , grub-install /dev/sda3

Hardware:
intel Mac Book Pro (silver keyboard)
Set to boot with rEFIt (OSx, Fedora, Windows XP)

Steps to Reproduce:
1. fc12 with grub at /dev/sda3, system boot using rEFIt
2. use preupgrade to update system
3. wait for reboot ... message "No bootable devices" when booting Linux from rEFIt, Had to use rEFIt to fix partition after reboot prior to boot selection.
  
Actual results:
hang or no boot device message

Expected results:
system boot

Additional info:
Comment 1 Bug Zapper 2011-06-02 08:55:40 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2011-06-27 13:00:08 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.